Skip to main content
GET
List application logs

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

app_id
integer<int64>
required

Unique identifier of the application to retrieve logs for

Query Parameters

from
string<date-time>

Start of log retrieval period in RFC3339 format. Defaults to 1 hour ago if not specified.

Example:

"2023-12-31T23:59:59Z"

to
string<date-time>

Reporting period end time, RFC3339 format. Default current time in UTC.

Example:

"2026-01-31T23:59:59Z"

edge
string<string>

Edge name

Search string

client_ip
string

Search by client IP address

request_id
string

Search by request ID

sort
enum<string>

Sort order (default desc)

Available options:
desc,
asc
limit
integer<int32>

Limit for pagination

offset
integer<int32>

Offset for pagination

Response

A paged array of logs

count
integer<int32>
required

Number of logs available

logs
object[]
offset
integer<int32>

Current request offset

total_count
integer<int32>
deprecated

Number of total logs available (do not use, to be removed)